# Interface SharedArrayBuffer

interface SharedArrayBuffer {
[species]: SharedArrayBuffer;
[toStringTag]: "SharedArrayBuffer";
byteLength: number;
slice(begin, end?): SharedArrayBuffer;
}

- Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:22
- Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:40

#####
Index

### Properties

[species]
[toStringTag]
byteLength

### Methods

slice

## Properties

### `Readonly` [species]

[species]: SharedArrayBuffer

- Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:32

### `Readonly` [toStringTag]

[toStringTag]: "SharedArrayBuffer"

- Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:33

### `Readonly` byteLength

byteLength: number

Read-only. The length of the ArrayBuffer (in bytes).

- Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:26

## Methods

### slice

- slice(begin, end?): SharedArrayBuffer

- Returns a section of an SharedArrayBuffer.

  #### Parameters

  - begin: number
  - `Optional` end: number

  #### Returns SharedArrayBuffer

  - Defined in node_modules/typescript/lib/lib.es2017.sharedmemory.d.ts:31